<form [formGroup]="loginForm" autocomplete="off">
  <div class="form-group">

    <button class="btn btn-primary" (click)="loginWithGoogle()" >Login WIth Google</button> <br/>
    <label for="username">Username:</label>

    <input #uname formControlName="username" id="username" type="text" class="form-control">
    <div class="alert alert-danger" *ngIf="username.touched && username.invalid">
      <div *ngIf="username.errors.required">User Name Required</div>
      <div *ngIf="username.errors.minlength">User Name Atleast Must be 3 characters</div>
      <div *ngIf="username.errors.cannotContainSpace">Username Can not Contain Space</div>
    </div>
  </div>

  <div class="form-group">
    <label for="password">Password:</label>
    <input #pwd formControlName="password" id="password" type="password" class="form-control">
    <div class="alert alert-danger" *ngIf="password.touched && password.invalid">
      <div *ngIf="password.errors.required">Password Must Required</div>
      <div *ngIf="password.errors.minlength">Password Must be 6 Letters</div>
    </div>
  </div>

  <button (click)="onLoginClick(uname.value,pwd.value)"
          class="btn btn-primary" routerLink="Category" [disabled]="!loginForm.valid">Submit</button>
  <p style="color: red;">{{msg}}</p>

</form>


